WordPress・WEB系の開発(プログラム)関係や技術情報ほか、技術情報全般を掲載

  • このエントリーをはてなブックマークに追加

接続しているサーバーは確認できてないセキュリティ証明書を使用しています

先日よりホスティングサービスを利用いただいているお客さまからメールの送信時に下記の警告ダイアログが出るから何とかして欲しいと連絡が入った。
keikoku

========================================
 インターネット セキュリティの警告
 ========================================
 接続しているサーバーは、確認できてないセキュリティ証明書を使用しています。
 証明書チェーンは処理されましたが、信頼プロバイダーが信頼していないルート証明書で強制終了しました。
このサーバーを使用し続けますか?
 ----------------------------------------

私は、メールクライアントに Gmailしか使っていなかったため全く気付かなかったのだが、Windows Liveメール、Outlook、Thunderbird で試してみると確かに警告ダイアログが出る。

色々とメールクライアントの設定を変えてみたいもしたが、上手くいかず利用しているホスティングサービスの技術サポートに問い合わせてみることにした。

※下記、解決方法:

Postfix の設定ファイル /etc/postfix/master.cf をエディタで開きセキュリティレベルを変更すると表示されなくなる。

○変更前:
smtpd_tls_security_level=encrypt

○変更後
smtpd_tls_security_level=may

※変更後は、リロードコマンドで適用
# /etc/init.d/postfix reload

関連記事

コメントは利用できません。

アーカイブ